<!DOCTYPE html>
<html lang="ja">
<head>
    <meta charset="utf-8">
    <title>新規登録フォーム</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/css/bootstrap.min.css" rel="stylesheet" media="screen">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/font-awesome/4.4.0/css/font-awesome.min.css">
    <link href="./css/registration_form.css" rel="stylesheet" media="screen">
    <script src="./JavaScript/Password_checker.js"></script>
</head>
<body>


<form class="form-horizontal" action="registration_confirm.php" method="post" id="form">
    <fieldset>

    <!-- Form Name -->
    <legend style=background-color:#65ace4;><h1 style=text-align:center;>新規登録フォーム</h1></legend>


    <!-- パンくずリスト-->
    <ol class="breadcrumb">
        <li><a href="index.php"><span class="glyphicon glyphicon-home" aria-hidden="true"></span>トップ</a></li>
        <li class="active">新規登録フォーム</li>
      </ol>


        <div class="container">


          <!-- エラー出力(バリデーション) -->
        <!-- Twig -->

        {% if check_result > 0 %}
          <ul class="errorMsg">
            {% for error in check_result %}

              <li> {{ error }} <br> </li>

            {% endfor %}
          </ul>
        {% endif %}



    <!-- Text input 名前-->
    <div class="form-group" style="margin-top:30px;">

      <label class="col-md-4 control-label" for="name">氏名 <span class="label label-danger">必須</span></label>
      <div class="col-md-4">
      <input name="name" class="form-control input-md" id="name" type="text" placeholder="例：鈴木太郎" value="{{ name }}">
      <p class="err">{{ name_errors.0 }}</p>
      <p class="err">{{ name_errors.1 }}</p>
      <p id="js_NameError"></p>
      </div>
    </div>




    <!-- Text input　メールアドレス-->
    <div class="form-group">

      <label class="col-md-4 control-label" for="email">メールアドレス <span class="label label-danger">必須</span></label>
      <div class="col-md-4">
      <input name="email" class="form-control input-md" id="email" type="email" placeholder="例：suzuki.taro@gmail.com 半角" value="{{ email }}">
        <p class="err">{{ email_errors.0 }}</p>
        <p class="err">{{ email_errors.1 }}</p>
        <p class="err">{{ email_errors.2 }}</p>
        <p id="js_EmailError"></p>
      </div>
    </div>


     <!-- Text input　パスワード-->
     <div class="form-group">

        <label class="col-md-4 control-label" for="password">パスワード <span class="label label-danger">必須</span></label>
        <div class="col-md-4">
        <input name="password" class="password form-control input-md" id="password_id" type="password" placeholder="パスワード 半角" value="{{ password }}">
        <p class="err">{{ password_errors.0 }}</p>
        <p class="err">{{ password_errors.1 }}</p>
        <p class="err">{{ password_errors.2 }}</p>
        <p id="js_PasswordError"></p>
        </div>
      </div>

    <!-- Text input 電話番号　-->
    <div class="form-group">
      <label class="col-md-4 control-label" for="tel">電話番号 <span class="label label-danger">必須</span></label>
      <div class="col-md-4">
      <input name="tel" class="form-control input-md" id="tel" type="tel" placeholder="09011112222 ハイフンなし 半角" value="{{ tel }}">
      <p class="err">{{ tel_errors.0 }}</p>
      <p class="err">{{ tel_errors.1 }}</p>
      <p id="js_TelError"></p>

      </div>
    </div>

    <!-- Select ボックス　都道府県 -->
    <div class="form-group">
      <label class="col-md-4 control-label" for="prefectures">都道府県 <span class="label label-danger">必須</span></label>
      <div class="col-md-4">
        <select name="prefectures" class="form-control" id="prefectures">
          <option value="選択">選択</option>
          <option value="東京"  {% if prefectures == '東京' %}  selected  {% endif %} >東京</option>
          <option value="名古屋" {% if prefectures == '名古屋' %} selected {% endif %} >名古屋</option>
          <option value="大阪" {% if prefectures == '大阪' %} selected {% endif %} >大阪</option>
          <option value="その他" {% if prefectures == 'その他' %} selected {% endif %} >その他</option>
        </select>
        <p class="err">{{ prefectures_errors.0 }}</p>
        <p id="js_prefecturesErr"></p>

      </div>
    </div>


    <!-- インラインチェックボックス　趣味 -->
        <div class="form-group">
            <label class="control-label col-md-4" for="checkbox">趣味 <span class="label label-info">任意</span></label>
            <div class="col-md-4">
              <div class="checkbox">
                  <label class="checkbox-inline">
                      <input name="hobby[baseball]" type="checkbox" value="野球"{% if hobby.baseball is defined %} checked {% endif %} > 野球
                    </label>
                    <label class="checkbox-inline">
                      <input name="hobby[football]" type="checkbox" value="サッカー"{% if hobby.football is defined %} checked {% endif %} > サッカー
                    </label>
              </div>
            </div>
          </div>



           <!-- インラインラジオボタン　性別 -->
           <div class="form-group">
              <label class="control-label col-md-4" for="checkbox">性別 <span class="label label-info">任意</span></label>
              <div class="col-md-4">
              <div class="radio-inline" name="gender">

                  <input name="gender" type="radio" value="男性" name="gender" id="man" value="男性" {% if gender == '男性' %} checked {% endif %} > 男性

                </div>
                <div class="radio-inline">

                    <input name="gender" type="radio" value="女性" name="gender" id="woman" value="女性" {% if gender == '女性' %} checked {% endif%} >女性

                </div>
              </div>
            </div>



    <!-- テキストエリア　お問い合わせ -->
        <div class="form-group">
          <label class="col-md-4 control-label" for="contact">お問い合わせ <span class="label label-info">任意</span></label>
          <div class="col-md-4">
            <textarea name="contact" placeholder="お問い合わせ" rows="3" class="form-control" id="contact">{{ contact }}</textarea>
          </div>
        </div>

        <!-- トークン hidden -->
        <input name="token" id="token" type="hidden" value="{{ token }}">



    <!-- Button　送信ボタン -->
    <div class="form-group">
      <label class="col-md-4 control-label" for="singlebutton"></label>
      <div class="col-sm-offset-5 col-sm-7 col-xs-offset-4 col-xs-8">
        <a href="index.php"><button type="button" name="singlebutton" class="btn btn-primary" id="back">戻る</button></a>
        <button name="singlebutton" class="btn btn-primary" id="confirm_btn">確認する</button>
      </div>
    </div>

  </div>

    </fieldset>
    </form>


        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.5/js/bootstrap.min.js"></script>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
      </body>
    </html>
